<?php

// Simple InUSE Check
if ( !defined('QF_STARTED') )
        die('Hacking attempt');


class Fox2_incls
{
    function DPage_CSS()
    {
        global $QF, $FOX;
        $QF->Run_Module('VIS');
        // here we need to configure style
        $style = $QF->GPC->Get_String('style', QF_GPC_GET, QF_STR_WORD);
        $variant = $QF->GPC->Get_String('variant', QF_GPC_GET, QF_STR_WORD);
        $QF->VIS->Configure(Array(
            'style' => $style,
            'CSS' => $variant,
            ), true);

        $QF->HTTP->do_HTML = false;
        $QF->HTTP->Clear();
        $QF->HTTP->Write($QF->VIS->Make_CSS());
        $QF->HTTP->Send_Buffer($QF->Session->Get('recode_out'), 'text/css', 3600);
    }

    function Page_ShowResult()
    {
        global $QF, $FOX;

        $res_id = $QF->GPC->Get_String('res_id', QF_GPC_GET, QF_STR_HEX);

        if ($curres = $QF->DBase->Do_Select('results', '*', Array( 'res_id' => $res_id) ))
        {
            if (($curres['u_sid'] && $curres['u_sid'] != $QF->Session->SID) || ($curres['u_id'] && $curres['u_id'] != $QF->User->UID))
                $QF->HTTP->Redirect(QF_INDEX);
            else
                $FOX->Draw_Result($curres['text'], $curres['redir_to'], $curres['is_err']);
        }
    }

    function Page_Login(&$p_title)
    {
        global $QF;

        $p_title = $QF->LNG->Lang('PAGE_LOGIN_CAPT');
        $node = $QF->VIS->Create_Node('PAGE_LOGIN');
        if ($QF->User->UID)
            $QF->VIS->Add_Data($node, 'CURUSER', $QF->User->uname);
        if ($QF->Session->Get_Status(QF_SESSION_USEURL) || ($QF->Config->Get('max_autologins', 'users', 1) < 1))
            $QF->VIS->Add_Data($node, 'DISABLE_AL', 1);

        return $node;
    }

    function Pan_Login($pan_node = false)
    {
        global $QF;
        $VIS = $QF->VIS;

        if (!$pan_node)
            $pan_node = $QF->VIS->Create_Node('PANEL_BODY', false, 'login_panel');

        $QF->VIS->Add_Data_Array($pan_node, Array(
            'title' => Lang('PAN_LOGIN_CAPT'),
            ) );

        if (!$QF->User->UID)
        {
            $node = $QF->VIS->Add_Node('PAN_LOGIN_LOG', 'contents', $pan_node, Array('URL' => $QF->HTTP->Request) );
            if ($QF->Session->Get_Status(QF_SESSION_USEURL) || ($QF->Config->Get('max_autologins', 'users', 1) < 1))
                $QF->VIS->Add_Data($node, 'DISABLE_AL', 1);
            if ($QF->Session->clicks > 3)
                $QF->VIS->Add_Data($pan_node, 'HIDDEN', 1);
        }
        else
        {
            $cont = $QF->VIS->Add_Node('PAN_LOGIN_GREET', 'contents', $pan_node, Array('user' => $QF->User->uname) );
            $bline = $QF->VIS->Add_Node('PAN_LOGIN_BOTTLINE', 'bottline', $pan_node);
            if ($QF->User->adm_level)
                $QF->VIS->Add_Data($bline, 'is_adm', true);
        }

        return $pan_node;
    }
}

?>